Domains
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
POST |
List all domains
Required API key scopes
organization:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /domainsExample response
Status 200
RESPONSE
Create domains
Required API key scopes
organization:writeRequest parameters
- domainstring
- jit_provisioning_enabledboolean
- sso_enforcementstring
Response
Example request
POST /api /organizations /:organization_id /domainsExample response
Status 201
RESPONSE
Retrieve domains
Required API key scopes
organization:readPath parameters
- idstring
Response
Example request
GET /api /organizations /:organization_id /domains /:idExample response
Status 200
RESPONSE
Update domains
Required API key scopes
organization:writePath parameters
- idstring
Request parameters
- domainstring
- jit_provisioning_enabledboolean
- sso_enforcementstring
Response
Example request
PATCH /api /organizations /:organization_id /domains /:idExample response
Status 200
RESPONSE
Delete domains
Required API key scopes
organization:writePath parameters
- idstring
Example request
DELETE /api /organizations /:organization_id /domains /:idExample response
Status 204 No response body
Retrieve domains scim logs
Path parameters
- idstring
Query parameters
- afterstring
- beforestring
- pageinteger
- page_sizeinteger
- searchstring
- status_maxinteger
- status_mininteger
Response
Example request
GET /api /organizations /:organization_id /domains /:id /scim /logsExample response
Status 200
RESPONSE
Create domains verify
Path parameters
- idstring
Request parameters
- domainstring
- jit_provisioning_enabledboolean
- sso_enforcementstring
Example request
POST /api /organizations /:organization_id /domains /:id /verify










